Page MenuHomeFreeBSD

Update p4api to 2015.1/1054991
ClosedPublic

Authored by gordon on Jul 15 2015, 5:20 AM.
Tags
None
Referenced Files
Unknown Object (File)
Apr 22 2017, 2:45 AM
Unknown Object (File)
Apr 21 2017, 5:36 AM
Unknown Object (File)
Apr 21 2017, 5:36 AM
Unknown Object (File)
Apr 20 2017, 6:12 PM
Unknown Object (File)
Apr 13 2017, 7:40 PM
Unknown Object (File)
Apr 11 2017, 12:56 PM
Unknown Object (File)
Apr 6 2017, 3:06 PM
Unknown Object (File)
Apr 4 2017, 2:16 AM
Subscribers
None

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

gordon retitled this revision from to Update p4api to 2015.1/1054991.
gordon updated this object.
gordon edited the test plan for this revision. (Show Details)
gordon added reviewers: mat, erwin.
mat edited edge metadata.
This revision is now accepted and ready to land.Jul 15 2015, 3:07 PM
gordon edited edge metadata.

Remove common variables migrated to p4/Makefile.inc

This revision now requires review to proceed.Jul 16 2015, 4:11 AM
devel/p4api/Makefile
18 ↗(On Diff #6994)

This is the default value, it can be removed.

31–34 ↗(On Diff #6994)

This should be written as:

cd ${${WRKSRC}/include/p4 && ${COPYTREE_SHARE} . ${STAGEDIR}${PREFIX}/include/perforce

If there are files other than .h files, possibly adding "-name '*.h'" as a third argument.

35–38 ↗(On Diff #6994)

same for this.

42–45 ↗(On Diff #6994)

and for this.

gordon marked 3 inline comments as done.
gordon edited edge metadata.

Update to use COPYTREE_SHARE for install (nifty command)
Remove uneeded WRKSRC reference.

mat edited edge metadata.
This revision is now accepted and ready to land.Jul 19 2015, 8:21 AM
gordon edited edge metadata.

Update to latest version.

This revision now requires review to proceed.Jul 23 2015, 8:13 PM
This revision was automatically updated to reflect the committed changes.